Subject: Re: linux-next: Tree for March 20

From: Greg KH <[email-masked]>
Date: Tue, 25 Mar 2008 00:31:11 -0700

On Tue, Mar 25, 2008 at 05:48:17PM +1100, Stephen Rothwell wrote:
> Hi Greg,
> 
> On Wed, 19 Mar 2008 21:57:19 -0700 Greg KH <[email-masked]> wrote:
> >
> > On Thu, Mar 20, 2008 at 02:39:53PM +1100, Stephen Rothwell wrote:
> > > 
> > > driver-core/driver-core-remove-no-longer-used-struct-class_device.patch
> > > 	should be merged late
> 
> I still need to revert this so that the scsi tree can build (st.c).

I'll be sending this to Linus after -rc1 comes out, so it's fine that it
needs to be reverted for now.

> > > driver-core/ib-convert-struct-class_device-to-struct-device.patch
> > > 	conflicts with the infiniband tree
> 
> This still has the same conflicts, but they are papered over by my use of
> git-rerere (which remembers my previous merge fixup and applies it for
> me).

Yeah, __FUNCTION__ fun :(

> > > driver-core/pm-make-wakeup-flags-available-whenever-config_pm-is-set.patch
> > > 	breaks non CONFIG_PM builds of drivers/serial/serial_core.c
> 
> This one seems to be fixed.

Glad to hear it.

greg k-h